LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XPlayerListener Interface Reference

Interface to be implemented by a Player listener. More...

`import <XPlayerListener.idl;`

Inheritance diagram for XPlayerListener:

## Public Member Functions
void | preferredPlayerWindowSizeAvailable ([in] com::sun::star::lang::EventObject e)
| A client receives this event when the preferred player size of an XPlayer is available to be queried.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Interface to be implemented by a Player listener.

The XPlayerListener interface must be implemented by the clients of the Player service which need to be informed about events while the Player service is displayed.

Since
  LibreOffice 7.4

## Member Function Documentation

## ◆ preferredPlayerWindowSizeAvailable()

void preferredPlayerWindowSizeAvailable | ( | [in] com::sun::star::lang::EventObject | e | ) |

A client receives this event when the preferred player size of an XPlayer is available to be queried.

The documentation for this interface was generated from the following file:

- com/sun/star/media/XPlayerListener.idl